<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];
$success = false;

$file = "stkentry.php";

// $expense = $_POST["expense"];
// $vendor  = $_POST["vendor"];
// $payee   = $_POST["payee"];

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    }
}
$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}
$query = "SELECT *,DATE_FORMAT(vouchdt, '%d-%m-%Y') AS mydt FROM `stkentmain`
          WHERE `vouchno` != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $getexp = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode` = '$r[expense]'");
    $fetexp = mysqli_fetch_array($getexp);

    $getven = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`= '$r[vendor]'");
    $fetven = mysqli_fetch_array($getven);

    $rows[] = [
        'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'vouchdt' => $r['mydt'],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
